Page MenuHomePhabricator

Don't allow horizontal scrolling for changes
Closed, ResolvedPublic

Description

Problem:
Currently, the changes do not break the text. This leads to very different lines than in the editor winodw, which makes it harder in finding the same text there.

Example:

Task: Disallow horizontal scrolling for all parts in the UI.

Background:
This is part of fulfilling wish #1 of the German-speaking community wishlist 2015 (T139601).
The solution is a result of on-wiki discussion and Wikimania 2016 sessions and testings, as well as feedback we received to the prototype.

Event Timeline

For clarification:

From looking at the screenshot, the problem here seems to be the long URL in the text that does not break and enforces the horizontal scrolling.

Maybe, but equally long references in the grey textbox you can see in the upper left corner break correctly...

Change 341547 had a related patch set uploaded (by wmde-fisch):
[mediawiki/extensions/TwoColConflict] Break looooong words in changes divs

https://gerrit.wikimedia.org/r/341547

Johan added a subscriber: Johan.Mar 9 2017, 5:48 PM

What's the rough timeline for this, if you have one?

Hey @Johan,

when the patch is merged until Monday ( what I would expect ) it will be deployed and go live during next week.

But to be clear what this is about ( and just wondering why you wanted to know the timeline for that task :-) ) :

It is related to the ( currently in beta ) two column conflict solving extension. And more precisely about the unified diff view in there, that had some problems with too long lines not breaking. These lead to possible horizontal scrolling issues in that view .

@WMDE-Fisch Sorry, context: This has been marked for potential inclusion in Tech News (user-notice), so I was trying to get a better understanding of the issue.

Hmm strange, I see no reason why this should be in Tech News. I assume this is a mistake then :-).

Change 341547 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict] Break looooong words in changes divs

https://gerrit.wikimedia.org/r/341547

Tobi_WMDE_SW closed this task as Resolved.Mar 10 2017, 2:26 PM
Tobi_WMDE_SW moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Mar 14 2017, 3:29 PM